Commit 1918a056 authored by Colin Walters's avatar Colin Walters

Revert "Dynamically load libmozjs185.so and cope with it not being available"

The new plan is to hard-require JS.  See discussion in
https://bugs.freedesktop.org/show_bug.cgi?id=59830

This reverts commit 34cb6353.

Conflicts:
	src/polkitbackend/polkitbackendjsauthority.c
parent f0fe6bb3
......@@ -54,13 +54,12 @@ libpolkit_backend_1_la_CFLAGS = \
$(LIBJS_CFLAGS) \
$(NULL)
# Note: We don't include $(LIBJS_LIBS) here since it's dlopen()'ed in polkitbackendjsauthority.c
#
libpolkit_backend_1_la_LIBADD = \
$(GLIB_LIBS) \
$(LIBSYSTEMD_LOGIN_LIBS) \
$(top_builddir)/src/polkit/libpolkit-gobject-1.la \
$(EXPAT_LIBS) \
$(LIBJS_LIBS) \
$(NULL)
rulesdir = $(sysconfdir)/polkit-1/rules.d
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment